Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PixelSpec Class Reference

List of all members.

## Public Member Functions
| PixelSpec (PixelSpec const copy)
| PixelSpec (pixel const rgb)
| PixelSpec (unsigned short int gray_value)
| PixelSpec (unsigned short int gray_value, unsigned short int alpha)
| PixelSpec (pixel const rgb, unsigned short int alpha)
| PixelSpec (unsigned short int red, unsigned short int green, unsigned short int blue)
| PixelSpec (unsigned short int red, unsigned short int green, unsigned short int blue, unsigned short int alpha)
int | compareTo (PixelSpec const other)
unsigned short int | getAlpha ()
unsigned short int | getBlue ()
unsigned short int | getGreen ()
unsigned short int | getRed ()
bool | operator!= (PixelSpec const other)
bool | operator< (PixelSpec const other)
PixelSpec | operator= (PixelSpec const copy)
bool | operator== (PixelSpec const other)
unsigned short int | operator[] (int n)
| Indexes numerically into the components, in the order R, G, B, A.
| output (ostream out)
| setAlpha (unsigned short int alpha)
| setBlue (unsigned short int blue)
| setGreen (unsigned short int green)
| setRed (unsigned short int red)
## Static Public Member Functions
static int | size ()
| Specifies the number of components in the PixelSpec; this is always 4, regardless of the type of image it was taken from.

## Constructor & Destructor Documentation

PixelSpec | ( | PixelSpec const | copy | ) |

PixelSpec | ( | pixel const | rgb | ) |

PixelSpec | ( | pixel const | rgb,
|  | unsigned short int | alpha
| ) |  |

PixelSpec | ( | unsigned short int | gray_value | ) |

PixelSpec | ( | unsigned short int | gray_value,
|  | unsigned short int | alpha
| ) |  |

PixelSpec | ( | unsigned short int | red,
|  | unsigned short int | green,
|  | unsigned short int | blue
| ) |  |

PixelSpec | ( | unsigned short int | red,
|  | unsigned short int | green,
|  | unsigned short int | blue,
|  | unsigned short int | alpha
| ) |  |

## Member Function Documentation

int compareTo | ( | PixelSpec const | other | ) |

unsigned short int getAlpha | ( |  | ) |

unsigned short int getBlue | ( |  | ) |

unsigned short int getGreen | ( |  | ) |

unsigned short int getRed | ( |  | ) |

bool operator!= | ( | PixelSpec const | other | ) |

bool operator< | ( | PixelSpec const | other | ) |

PixelSpec operator= | ( | PixelSpec const | copy | ) |

bool operator== | ( | PixelSpec const | other | ) |

unsigned short int operator[] | ( | int | n | ) |

Indexes numerically into the components, in the order R, G, B, A.

This also makes the PixelSpec work like a tuple in Python.

output | ( | ostream | out | ) |

setAlpha | ( | unsigned short int | alpha | ) |

setBlue | ( | unsigned short int | blue | ) |

setGreen | ( | unsigned short int | green | ) |

setRed | ( | unsigned short int | red | ) |

static int size | ( |  | ) | `[static]`

Specifies the number of components in the PixelSpec; this is always 4, regardless of the type of image it was taken from.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties